Bug 1123580 - System becomes unresponsive when opening GTK File Dialog or calling "get_from_drawable"
Summary: System becomes unresponsive when opening GTK File Dialog or calling "get_from...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-26 20:22 UTC by F. Noelscher
Modified: 2015-06-29 21:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:46:45 UTC


Attachments (Terms of Use)
xorg log (237.75 KB, text/x-log)
2014-07-26 20:22 UTC, F. Noelscher
no flags Details
python script that triggers the bug (464 bytes, text/x-python)
2014-07-26 20:23 UTC, F. Noelscher
no flags Details

Description F. Noelscher 2014-07-26 20:22:46 UTC
Created attachment 921232 [details]
xorg log

My system becomes unresponsive when I run the script I have attached to this report. I can still kill the process which restores the normal state again.

This also happens when opening a GTK "choose destination" dialog.

I am using gdm and awesome window manager

I have attached the Xorg log as well. You can see the error message multiple times at the end of the file:

"(EE) [mi] EQ overflowing. Additional events will be discarded until existing events are processed."

This might be radeon/mesa related - I'd be happy if you can give me any advice on how to trace this down or how to fix it.

Comment 1 F. Noelscher 2014-07-26 20:23:12 UTC
Created attachment 921233 [details]
python script that triggers the bug

Comment 2 F. Noelscher 2014-07-26 20:26:02 UTC
Looking again at the Xorg log, it might not be some xorg issue but could also be a GTK bug. How can I be sure?

Comment 3 Fedora End Of Life 2015-05-29 12:28:53 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:46:45 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.